import requests
url = "https://api.diga.io/v1/trace/call/{call_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"span_count": 123,
"call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"root_service": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"spans": [
{
"id": "<string>",
"operation_name": "<string>",
"service_name": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"parent_span_id": "<string>",
"status": "<string>",
"tags": {},
"children": [
"<unknown>"
]
}
]
}Retrieve the distributed trace data for a specific call from Tempo.
import requests
url = "https://api.diga.io/v1/trace/call/{call_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"span_count": 123,
"call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"root_service": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"spans": [
{
"id": "<string>",
"operation_name": "<string>",
"service_name": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"parent_span_id": "<string>",
"status": "<string>",
"tags": {},
"children": [
"<unknown>"
]
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The call ID to get the trace for
Successful Response
Response schema for a complete trace.
The unique identifier for this trace.
The number of spans in this trace.
The DIGA call ID associated with this trace.
The service that initiated the trace.
When the trace started.
When the trace ended.
Total duration of the trace in milliseconds.
Hierarchical tree of spans with parent-child relationships.
Show child attributes